<?php
/**
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2010 Jan Kulmann <jankul@zmml.uni-bremen.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+


class AddMultipleCourses extends DBMigration {

        function description () {
                return 'database changes to add multiple courses in categories for homepageterminvergabe plugin';
        }

        function up () {

                $this->db->query("
CREATE TABLE IF NOT EXISTS `tv_category_seminare` (
`category_id` VARCHAR( 32 ) NOT NULL ,
`seminar_id` VARCHAR( 32 ) NOT NULL ,
PRIMARY KEY ( `category_id` , `seminar_id` )
)");
		$this->db->query("INSERT INTO tv_category_seminare (category_id, seminar_id) SELECT category_id, seminar_id FROM tv_category WHERE seminar_id IS NOT NULL AND seminar_id!=''");
		$this->db->query("ALTER TABLE `tv_category` DROP `seminar_id`");
        }

        function down () {
                $this->db->query("ALTER TABLE `tv_category` ADD `seminar_id` VARCHAR( 32 ) NULL");
		$this->db->query("DROP TABLE `tv_category_seminare`");
        }

}

?>
