<?php
/**
* @author               Jan Kulmann <jankul@zmml.uni-bremen.de>
*/

// +---------------------------------------------------------------------------+
// This file is NOT part of Stud.IP
// Copyright (C) 2010 Jan Kulmann <jankul@zmml.uni-bremen.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+


class AddSummaryNotification extends DBMigration {

        function description () {
                return 'database changes to add summary notification for homepageterminvergabe plugin';
        }

        function up () {
		$this->db->query("
CREATE TABLE IF NOT EXISTS `tv_options` (
  `user_id` varchar(32) NOT NULL,
  `notify` tinyint(2) NOT NULL default '1',
  PRIMARY KEY  (`user_id`)
) ENGINE=MyISAM
");

		$this->db->query("INSERT IGNORE INTO `config` (`config_id`, `parent_id`, `field`, `value`, `is_default`, `type`, `range`, `section`, `position`, `mkdate`, `chdate`, `description`, `comment`, `message_template`) VALUES ('b88933136de9e7aafa5a92955cfa63f8', '', 'TV_REMINDER', '0', 0, 'boolean', 'global', '', 0, 1263808826, 1263808826, 'Sendet eine Erinnerungsnachricht, wenn in weniger als 24h Termine ber die Homepageterminverwaltung fllig werden. Der erforderliche Conjob ist vorher zu aktivieren!', '', '')");
        }

        function down () {
                $this->db->query("DROP TABLE `tv_options`");
        }

}

?>
